Bug 139489 - [UPDATE] mail/gmime2: update to 2.2.24
Summary: [UPDATE] mail/gmime2: update to 2.2.24
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcus Alves Grando
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-10 19:20 UTC by Sahil Tandon
Modified: 2009-10-11 03:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.36 KB, patch)
2009-10-10 19:20 UTC, Sahil Tandon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sahil Tandon 2009-10-10 19:20:02 UTC
- update to 2.2.24
- modify MASTER_SITES to GNOME
- modify CONFLICTS to include 2.4.x

2009-08-12  Jeffrey Stedfast  <fejj@novell.com>

        * README: Bumped version

        * configure.in: Bumped version to 2.2.24

        * gmime/gmime-utils.c (charset_convert): If iconv() fails, treat
        conditions where outleft == 0 the same as if we had gotten an
        E2BIG error (e.g. we need to grow the output buffer) so that we
        don't overrun it while appending a '?' placeholder character.

Fix: Apply patch.

Incidentally, should mail/gmime2-sharp PORTREVISION be reverted to 0 (from the current 2) if mail/gmime2 is updated?  I'd imagine so; let me know if I should file a separate PR for that.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-10-10 19:20:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mnag

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2009-10-11 03:30:08 UTC
mnag        2009-10-11 02:29:49 UTC

  FreeBSD ports repository

  Modified files:
    mail/gmime2          Makefile distinfo 
    mail/gmime2-sharp    Makefile 
  Log:
  - Update to 2.2.24
  - Update CONFLICTS to add gmime24
  - Keep simple MASTER_SITES
  - Reset PORTREVISION from slave gmime2-sharp
  
  PR:             139489
  Submitted by:   Sahil Tandon <sahil___tandon.net>
  
  Revision  Changes    Path
  1.17      +1 -1      ports/mail/gmime2-sharp/Makefile
  1.59      +3 -3      ports/mail/gmime2/Makefile
  1.38      +3 -3      ports/mail/gmime2/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Marcus Alves Grando freebsd_committer 2009-10-11 03:31:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!